<template>
    <div>
        <v-container>
            <v-row>
                <v-col sm="12" md="12" align="center" align-self="center" justify="center">
                    <v-card max-width="500">
                        <v-card-text>
                            <v-row>
                                <v-col align="center" align-self="center" justify="center" sm="12" md="12">
                                <h1>Créer un compte sur AutoShop</h1>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6">
                                    <v-text-field
                                    label="Nom"
                                    :rules="rules"
                                    hide-details="auto"
                                    ></v-text-field>
                                </v-col>
                                <v-col sm="6">
                                    <v-text-field 
                                    label="Prénoms"
                                    :rules="rules"
                                    hide-details="auto"></v-text-field>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6">
                                    <v-text-field
                                    label="date de naissance"
                                    :rules="rules"
                                    hide-details="auto"
                                    ></v-text-field>
                                </v-col>
                                <v-col sm="6">
                                    <v-text-field 
                                    label="email"
                                    :rules="mailRules"
                                    hide-details="auto"></v-text-field>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6">
                                    <v-text-field
                                    label="mot de passe"
                                    type="password"
                                    hide-details="auto"
                                    ></v-text-field>
                                </v-col>
                                <v-col sm="6">
                                    <v-text-field 
                                    label="confirmation mot de passe"
                                    type="password"
                                    hide-details="auto"></v-text-field>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6">
                                    <v-checkbox
                                    v-model="cgu"
                                    label="j'ai lu et j'accepte les termes et conditions d'utilisation"
                                    color="primary"
                                    :value="true"
                                    hide-details
                                    ></v-checkbox>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6" md="6">
                                    <v-btn class="mr-2 white--text" flat color="green">S'inscrire</v-btn>
                                </v-col>
                                <v-col sm="6" md="6">
                                    <v-btn class="mr-2 white--text" flat color="secondary">Annuler</v-btn>
                                </v-col>
                            </v-row>
                        </v-card-text>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>
<script>// @ts-nocheck

export default {
    name: 'inscription',
    data:() => ({
        cgu: null,
        rules: [
        value => !!value || 'Required.',
        value => (value && value.length >= 3) || 'Min 3 characters',
        ],
        mailRules: [
            value => !!value || 'Required.',
            value => (value || '').length <= 20 || 'Max 20 characters',
            value => {
            const pattern = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
            return pattern.test(value) || 'Invalid e-mail.'
            },
        ],
    }),
    methods:{

    }
};
</script>